Updates to Github #github


espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #825 Hebrew is not supported
By OrionRandD:

If you have installed both, in most of cases you can remove espeak, because from command line and API perspective, espeak-ng is pretty compatible with espeak. Espeak-ng hase more features, but existing are almost the same, although, there have been some reports, where unintended changes were caught and fixed.

I have discovered why I have espeak and I cannot remove it. It is because ebook-speaker - a wonderful cli app is tied to it and espeak-ng knows nothing about it :(

# apt purge espeak Reading package lists... Done Building dependency tree... Done Reading state information... Done The following packages were automatically installed and are no longer required: espeak-data libespeak1 Use 'apt autoremove' to remove them. The following packages will be REMOVED: ebook-speaker* espeak* 0 upgraded, 0 newly installed, 2 to remove and 0 not upgraded. After this operation, 614 kB disk space will be freed. Do you want to continue? [Y/n]

# apt install ebook-speaker Reading package lists... Done Building dependency tree... Done Reading state information... Done The following additional packages will be installed: espeak Suggested packages: calibre tesseract-ocr | cuneiform unrtf The following NEW packages will be installed: ebook-speaker espeak 0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded. Need to get 231 kB of archives. After this operation, 614 kB of additional disk space will be used. Do you want to continue? [Y/n]


[espeak-ng:master] New Comment on Issue #825 Hebrew is not supported
By OrionRandD:

If you have installed both, in most of cases you can remove espeak, because from command line and API perspective, espeak-ng is pretty compatible with espeak. Espeak-ng hase more features, but existing are almost the same, although, there have been some reports, where unintended changes were caught and fixed.

I have discovered why I have espeak and I cannot remove it. It is because ebook-speaker - a wonderful cli app is tied to it and espeak-ng knows nothing about it :(

apt purge espeak Reading package lists... Done Building dependency tree... Done Reading state information... Done The following packages were automatically installed and are no longer required: espeak-data libespeak1 Use 'apt autoremove' to remove them. The following packages will be REMOVED: ebook-speaker* espeak* 0 upgraded, 0 newly installed, 2 to remove and 0 not upgraded. After this operation, 614 kB disk space will be freed. Do you want to continue? [Y/n]

apt install ebook-speaker Reading package lists... Done Building dependency tree... Done Reading state information... Done The following additional packages will be installed: espeak Suggested packages: calibre tesseract-ocr | cuneiform unrtf The following NEW packages will be installed: ebook-speaker espeak 0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded. Need to get 231 kB of archives. After this operation, 614 kB of additional disk space will be used. Do you want to continue? [Y/n]


[espeak-ng:master] New Comment on Issue #825 Hebrew is not supported
By OrionRandD:

If you have installed both, in most of cases you can remove espeak, because from command line and API perspective, espeak-ng is pretty compatible with espeak. Espeak-ng hase more features, but existing are almost the same, although, there have been some reports, where unintended changes were caught and fixed.

I have discovered why I have espeak and I cannot remove it. It is because ebook-speaker - a wonderful cli app - is tied to it and espeak-ng knows nothing about it :(

apt purge espeak Reading package lists... Done Building dependency tree... Done Reading state information... Done The following packages were automatically installed and are no longer required: espeak-data libespeak1 Use 'apt autoremove' to remove them. The following packages will be REMOVED: ebook-speaker* espeak* 0 upgraded, 0 newly installed, 2 to remove and 0 not upgraded. After this operation, 614 kB disk space will be freed. Do you want to continue? [Y/n]

apt install ebook-speaker Reading package lists... Done Building dependency tree... Done Reading state information... Done The following additional packages will be installed: espeak Suggested packages: calibre tesseract-ocr | cuneiform unrtf The following NEW packages will be installed: ebook-speaker espeak 0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded. Need to get 231 kB of archives. After this operation, 614 kB of additional disk space will be used. Do you want to continue? [Y/n]


espeak-ng@groups.io Integration <espeak-ng@...>
 

[espeak-ng:master] New Comment on Issue #825 Hebrew is not supported
By OrionRandD:

I made a symlink from espeak-ng to espeak after uninstalling espeak /usr/bin/espeak-ng --> /usr/bin/espeak

But, after installing ebook-speaker again, the espeak older version took over again destroying the symlink :(

# espeak --version eSpeak text-to-speech: 1.48.15 16.Apr.15 Data at: /usr/lib/x86_64-linux-gnu/espeak-data

# espeak-ng --version eSpeak NG text-to-speech: 1.50 Data at: /usr/lib/x86_64-linux-gnu/espeak-ng-data


[espeak-ng:master] New Comment on Issue #825 Hebrew is not supported
By OrionRandD:

I made a symlink from espeak-ng to espeak after uninstalling espeak /usr/bin/espeak-ng --> /usr/bin/espeak

But, after installing ebook-speaker again, the espeak older version took over again destroying the symlink :(

espeak --version eSpeak text-to-speech: 1.48.15 16.Apr.15 Data at: /usr/lib/x86_64-linux-gnu/espeak-data

espeak-ng --version eSpeak NG text-to-speech: 1.50 Data at: /usr/lib/x86_64-linux-gnu/espeak-ng-data